#
# spec file for package mobile-broadband-provider-info
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mobile-broadband-provider-info
Version:        20190618
Release:        1.18
Summary:        Mobile Service Provider Database
License:        SUSE-Public-Domain
Group:          Productivity/Networking/System
URL:            http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders
# No full URL, as this is a git snapshot (using _service)
Source0:        %{name}-%{version}.tar.xz
Source1:        mobile-broadband-provider-info-rpmlintrc
# PATCH-FIX-UPSTREAM mobile-broadband-provider-info-tmobile-reorder.patch boo#899028 dimstar@opensuse.org -- Move internet.t-d1.de to the bottom
Patch0:         mobile-broadband-provider-info-tmobile-reorder.patch
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  xsltproc
BuildArch:      noarch

%description
This package contains mobile broadband settings for different service
providers in different countries.

%prep
%setup -q
%patch0 -p1

%build
# Needed, as we have a git snapshot
NOCONFIGURE=1 ./autogen.sh
%configure

%install
%make_install

%files
%license COPYING
%doc README
%{_datadir}/pkgconfig/mobile-broadband-provider-info.pc
%{_datadir}/%{name}/

%changelog
* Tue Jun 18 2019 bjorn.lie@gmail.com
- Update to version 20190618:
  + release: bump version to 20190618
  + build:
  - Remove unused automake flags
  - Switch dist to xz
  - Update bug report URL
  - Fix make distcheck
  + Added configuration for WinSIM (German provider)
  + apn-conf: generate Android-compatible APN list
  + all: remove SVN vestiges
  + es: new SUOP operator
  + Move mcc="232" mnc="05" from Orange to Drei
  + jp:
  - Add b-mobile visitor sim entry
  - Add primary markers for NTT DoCoMo and bmobile
  + fi: Add Moi Mobiili
  + cz: add T-Mobile balance check and top-up
- Add xsltproc BuildRequires: New dependency.
* Wed Jan 16 2019 bjorn.lie@gmail.com
- Update to version 20190116:
  + it: Add Iliad prepaid.
  + Set <mailing-list> in DOAP file.
  + Replace Bugzilla by Gitlab URL in DOAP file.
  + Remove libdir and includedir from .pc.
  + si: added Telemach provider, prepaid plan.
  + fi: Add Telia Open Gate.
  + fi: Rename Sonera to Telia.
  + fi: Update data.dna.fi description, move to last.
  + fi: Add julkinen.dna.fi apn for DNA.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Fri Mar 10 2017 dimstar@opensuse.org
- Update to version 20170310:
  + no: add Phonero APN.
  + mt: add APN for Melita Mobile (bgo#762162).
  + cz: add O2 balance check and top-up.
  + build: Run configure from the builddir.
  + bd: add data for Bangladesh providers.
  + fi: update Finland provider DNA.
  + nl: t-mobile update.
  + nl: KPN update.
  + nl: ben update.
  + cl: add extra mnc to Movistar Chile Network.
  + dtd: add initial attach apn type.
  + italy: add Vodafone Internet Key.
  + ko: update for Korean operators.
  + cz: add Czech "MOBIL.CZ" provider (MVNO on T-Mobile).
  + bm: add provider Bermuda Cell One.
  + release: bump version to 20170310.
* Fri Apr 15 2016 mgorse@suse.com
- Update to GNOME 3.20  Fate#318572
* Mon Dec 14 2015 dimstar@opensuse.org
- Update to version 20151214:
  + cl: add APNs for Virgin Mobile, VTR Movil and Nextel
    (bgo#677596).
  + sv: fix wrong MNC for El Salvador Claro 706:01
  + no: new default APN for Telenor Norway
  + gb:
  - move "Asda Mobile" after "Vodafone"
  - move "giffgaff" after "O2"
  + ca: add Canadian provider SaskTel Mobility's GSM network
  + ad: add Andorra Telecom provider
  + mm: add Ooredoo and Telenor for Myanmar (bgo#694073).
  + at: add Austria "HoT" provider (MVNO on T-Mobile) (bgo#757626).
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 20150323:
  + in: add balance check code for Reliance in India
* Wed Feb  4 2015 dimstar@opensuse.org
- Update to version 20150114:
  + nl: add Vodafone Machine-to-Machine (M2N) APN
  + kg: add balance check ussds for MegaCom and O! operators
  + es: add APN for Lebara (unknown MCC/MNC)
  + ch: add USSD codes to get balance for Orange CH
  + fr: add USSD code to change balance for Orange FR
  + it: add Tiscali MVNO for Italy (bgo#735967)
  + de: remove orphaned vistream/Telogic MVNOs
  + bd: add Teletalk and update Airtel name for Bangladesh (bgo#738743)
  + es: remove 'Airtel' from the Vodafone operator name (bgo#742836)
  + es: add new operator Lowi (bgo#742839)
* Sun Oct 12 2014 dimstar@opensuse.org
- Update to git snapshot 20141012.b71dc (use disabled _services):
  + Many provider details have been updated.
- Add mobile-broadband-provider-info-tmobile-reorder.patch: Move
  internet.t-d1.de APN for Deutsche Telekom to the bottom
  (boo#899028).
- Add libtool BuildRequires and call to autogen.sh: as we are
  building a git snapshot, we need to bootstrap.
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Mon Jun 18 2012 dimstar@opensuse.org
- Update to version 20120614:
  + Many updates to the list of service providers.
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Wed May 18 2011 dimstar@opensuse.org
- Update to version 20110511:
  + Many updates to the list of service providers.
* Tue May  3 2011 vuntz@opensuse.org
- Fix license tag to be "CC Public Domain Dedication" instead of
  "Other uncritical OpenSource License" (which got rejected by
  legal review).
- Ship COPYING and README.
* Fri Apr 29 2011 dimstar@opensuse.org
- Update to version 20110218:
  + Many updates to the list of service providers.
- Drop mobile-broadband-provider-info-git20101208.patch: fixed
  upstream.
* Wed Dec  8 2010 vuntz@opensuse.org
- Update to version 20100510:
  + Many updates to the list of service providers.
- Drop taiwan-providers.patch: fixed upstream.
- Add mobile-broadband-provider-info-git20101208.patch with the
  latest data from git, as there have been various updates since
  last May already.
- Add pkg-config BuildRequires to create the pkgconfig() Provides.
* Tue Jul 21 2009 tambet@novell.com
- Split up Taiwanese providers 'TW Mobile' and 'TransAsia', they
  have different MNCs.
